Status: Open

Priority: Low

Assignee: nobody -

Category: Vectors

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 12585

Description

I'm not sure is it bug or not, but it could throw into confusion some users. When create new vector layer and set its width need keep in

mind, that width of field it is size of field in bytes, not in symbols! For example, I create text field and set width=3. I try to fill this field with

Cyrillic word 'баг' and when I've save changes in layer I've get the following results:

[http://gis-lab.info/share/DR/utf.png]

I guess this is because for encoding cyrillic symbols in utf uses 2 bytes.

History

#1 - 2010-03-07 11:26 AM - Alexander Bruy

Confirmed on Windows with commit:23ed0fef (SVN r13016).

But under Linux with UTF-8 locale all works fine.

#2 - 2010-05-26 09:10 AM - Maxim Dubinin

This behavior makes conversion from 1bytes encoding (CP1251) to 2 bytes (UTF8) unusable. I've attached two examples, one in CP1251 and another -

after conversion in UTF8.

#3 - 2011-12-16 01:57 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#4 - 2012-04-15 10:12 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#5 - 2012-10-06 02:29 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#6 - 2017-05-01 12:42 AM - Giovanni Manghi

- Easy fix? set to No

- Pull Request or Patch supplied set to No

Files

example.7z 645 Bytes 2010-05-26 Maxim Dubinin
